Page MenuHomePhabricator

Add rcuser= and rcexcludeuser= à la prop=revisions
Closed, ResolvedPublic

Description

This can be done because of the rc_user_text (rc_user_text, rc_timestamp) index.

I'll do this tomorrow.


Version: 1.13.x
Severity: enhancement

Details

Reference
bz14200

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 10:08 PM
bzimport added a project: MediaWiki-API.
bzimport set Reference to bz14200.
Catrope created this task.May 20 2008, 10:04 PM

Created attachment 4910
Patch that implements rcuser and rcexcludeuser

Attached patch, can't commit it yet because not all WMF servers have the rc_user_text index yet. An update should be done soon, after which this patch will be committed.

attachment 14200.patch ignored as obsolete

Any progress on this?

(In reply to comment #2)

Any progress on this?

Not that I know of. Brion told me he'd schedule a schema update for this and bug 14418, so if you want this done he's the guy to poke.

  • Bug 16527 has been marked as a duplicate of this bug. ***

Created attachment 5586
New patch, also adds wluser and wlexcludeuser

attachment 14200.patch ignored as obsolete

Created attachment 5587
Patch with FORCE INDEX back in

Accidentally dropped the variable index forcing from recentchanges, re-adding. Not bothering for watchlist because it doesn't use an index on the recentchanges table anyway (which is why it filesorts :( ).

attachment 14200.patch ignored as obsolete

Created attachment 5596
Yet another patch

Updated patch so it applies cleanly to HEAD; also unified error codes.

Attached:

demon added a comment.Jan 8 2010, 1:32 PM

Bump. Anyone know if the index patch got applied yet so this can go in?

Not sure if this is the thing mentioned in here. But "rcuser" and "rcexcludeuser" are already being documented as options here: http://www.mediawiki.org/wiki/API:Query_-_Lists#recentchanges_.2F_rc

So this was just forgotten to be closed, or this still an open ticket ?

(In reply to comment #9)

Not sure if this is the thing mentioned in here. But "rcuser" and
"rcexcludeuser" are already being documented as options here:
http://www.mediawiki.org/wiki/API:Query_-_Lists#recentchanges_.2F_rc

So this was just forgotten to be closed, or this still an open ticket ?

This was forgotten about, yes. rcuser and rcexcludeuser are now live on Wikipedia.